name: Build Kurzpraesentation_Plenum.tex
on: [push]
jobs:
  build_latex:
    runs-on: ubuntu-latest
    steps:
      - name: Set up Git repository
        uses: actions/checkout@v3
      - name: Compile LaTeX document
        uses: xu-cheng/latex-action@v2
        with:
          root_file: Kurzpraesentation_Plenum.tex
          latexmk_use_lualatex: true
          # extra_fonts: fonts/sourcesanspro/*.otf
      - name: Upload PDF file
        uses: actions/upload-artifact@v3
        with:
          name: Kurzpraesentation_Plenum.pdf
          path: Kurzpraesentation_Plenum.pdf
